const mongoose = require('mongoose');
const config = require('../config/database');

const ApprovedRequestSchema = mongoose.Schema({
  officeId: { type: String, required: true },
  approvedFor: { type: String, required: true },
  approvedBy: { type: String, required: true },
  approvedAmt: { type: String, required: true },
  transactionId: { type: String },
  remark: { type: String },
  createdAt: { type: Date, default: Date.now() }
});

const ApprovedRequest = (module.exports = mongoose.model(
  'approveRequest',
  ApprovedRequestSchema
));

module.exports.addApprovedRequest = (newRequest, callback) => {
  newRequest.save(callback);
};

module.exports.getApprovedRequestById = (id, callback) => {
  ApprovedRequest.findById(id, callback);
};

module.exports.getAllApprovedRequest = callback => {
  ApprovedRequest.find(callback);
};
