const mongoose = require('mongoose');
const config = require('../config/database');

const PackageSchema = mongoose.Schema({
  packageName: { type: String },
  shortName: { type: String },
  packageAmount: { type: String },
  purpose: { type: JSON },
  profileLimit: { type: String },
  source: { type: Array, default: [] },
  serviceType: { type: String  },
  cities: { type: Array, default: [] },
  createdBy: { type: String },
  createdAt: {
    type: Date,
    default: Date.now()
  },
  updatedAt: { type: Date }
});

const Package = (module.exports = mongoose.model('leadpackage', PackageSchema));

module.exports.addPackage = (newPackage, callback) => {
  newPackage.save(callback);
};

module.exports.getPackageByName = (packageName, callback) => {
  Package.findOne({ packageName: packageName }, callback);
};

module.exports.getPackagesByFields = (source, purpose, cities, callback) => {
  Package.find({$and : [ {cities : {$in : cities}},{source : source},{purpose : purpose} ]}, callback);
};

module.exports.getPackage = callback => {
  Package.find(callback);
};
