const mongoose = require('mongoose');
const config = require('../config/database');

const NewOfficeSchema = mongoose.Schema({
  // office details
  officeName: { type: String, required: true },
  officeAddress: { type: String, required: true },
  officeCity: { type: String, required: true },
  officeContact: { type: String, required: true },
  //
  officeType: { type: String, required: true },
  //
  officePackage: { type: JSON, required: true },
  //
  officeWallet: { type: String, default: '0' },
  //
  officePercentage: { type: String, required: true },
  //
  officeAdmin: { type: String, required: true },
  //
  createdBy: { type: String, required: true },
  createdAt: {
    type: Date,
    default: Date.now()
  },
  updatedAt: { type: Date }
});

const Office = (module.exports = mongoose.model('office', NewOfficeSchema));

module.exports.addOffice = (newOffice, callback) => {
  newOffice.save(callback);
};

module.exports.getOfficeById = (id, callback) => {
  Office.findById(id, callback);
};

module.exports.getOfficeByName = (officeName, callback) => {
  Office.findOne({ officeName: officeName }, callback);
};

module.exports.getAllOffice = (callback) => {
  Office.find(callback);
};

module.exports.getOfficesCount = (callback) => {
  Office.countDocuments(callback);
};
