const mongoose = require('mongoose');
const config = require('../config/database');

const OldLeadSchema = mongoose.Schema({
    name: { type: String, required: true },
    mobile: { type: String, required: true },
    city: { type: String, required: true },
    state: { type: String, required: true },
    gender: { type: String, required: true },
    followup: { type: Array, default: [] },
    sendAddress: { type: Array, default: [] },
    messages: { type: Array, default: [] },
    createdBy: { type: String, required: true },
    createdAt: {
        type: Date,
        default: Date.now()
    },
    updatedAt: { type: Date, default: Date.now() }
});

const Lead = (module.exports = mongoose.model("oldlead", OldLeadSchema));

module.exports.addOldLead = (oldLead, callback) => {
    oldLead.save(callback);
};

module.exports.getLeadById = (id, callback) => {
    Lead.findOne({ _id: id }, callback);
}

module.exports.getLeads = (callback) => {
    Lead.find(callback);
};



