const mongoose = require('mongoose');
const config = require('../config/database');

const RemainderSchema = mongoose.Schema({
  alarmDate: { type: Date },
  alarmForLead: { type: JSON },
  alarmSetBy: { type: String },
  createdAt: { type: Date, default: Date.now() }
});

const Remainder = (module.exports = mongoose.model(
  'remainder',
  RemainderSchema
));

module.exports.addRemainder = (newRemainder, callback) => {
  newRemainder.save(callback);
};

module.exports.getRemainderById = (id, callback) => {
  Remainder.findOne({ _id: id }, callback);
};

module.exports.getRemainderByUsername = (username, callback) => {
  const date = new Date();
  Remainder.find(
    {
      $and: [{ alarmSetBy: username }, { alarmDate: { $gte: date } }]
    },
    callback
  );
};

module.exports.getRemainderByDate = (date, callback) => {
  Remainder.findOne({ alarmDate: date }, callback);
};

module.exports.getAllRemainder = callback => {
  Remainder.find(callback);
};
