const mongoose = require('mongoose');
const config = require('../config/database');

const TransactionSchema = mongoose.Schema({
  member: JSON,
  credit: String,
  debit: String,
  prevBal: String,
  newBal: String,
  from: String,
  to: String,
  action: String,
  amount: String,
  Remark: String,
  Refrence: String,
  Date: String,
  created_at: {
    type: Date,
    default: Date.now()
  }
});

const Transaction = (module.exports = mongoose.model(
  'Transaction',
  TransactionSchema
));

module.exports.addTransaction = (newTransaction, callback) => {
  newTransaction.save(callback);
};

module.exports.getTransactionsByEmail = (email, callback) => {
  Transaction.find({ email: email }, callback);
};

module.exports.getTransactions = callback => {
  Transaction.find(callback);
};

module.exports.deleteTransactionById = (id, callback) => {
  Transaction.deleteOne({ _id: id }, callback);
};
